Criar webhook
curl --request POST \
--url https://api.zapfy.io/v1/instances/{id}/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://seu-app.com/webhooks",
"events": [
"MESSAGE_RECEIVED",
"MESSAGE_STATUS"
],
"enabled": true
}
'import requests
url = "https://api.zapfy.io/v1/instances/{id}/webhooks"
payload = {
"url": "https://seu-app.com/webhooks",
"events": ["MESSAGE_RECEIVED", "MESSAGE_STATUS"],
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://seu-app.com/webhooks',
events: ['MESSAGE_RECEIVED', 'MESSAGE_STATUS'],
enabled: true
})
};
fetch('https://api.zapfy.io/v1/instances/{id}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01J9Z...",
"url": "https://seu-app.com/webhooks",
"events": [],
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": "Instance not found"
}{
"error": "Instance not found"
}{
"error": "Instance not found"
}Webhooks
Criar webhook
Cadastra um webhook na instância. Até 5 por instância.
POST
/
instances
/
{id}
/
webhooks
Criar webhook
Autorizações
Token de conta (zpfy_acct_...) — gerencia instâncias e webhooks.
Parâmetros de caminho
ID da instância.
Corpo
application/json
URL HTTPS que receberá os eventos via POST.
Exemplo:
"https://seu-app.com/webhooks"
Eventos que disparam o webhook.
Minimum array length:
1Tipo de evento. MESSAGE_RECEIVED = mensagem recebida; MESSAGE_SENT = mensagem enviada pela instância; MESSAGE_STATUS = mudança de status de entrega/leitura; CONNECTION_UPDATE = mudança na conexão da instância; QRCODE_UPDATED = novo QR Code para parear.
Opções disponíveis:
MESSAGE_RECEIVED, MESSAGE_SENT, MESSAGE_STATUS, CONNECTION_UPDATE, QRCODE_UPDATED Exemplo:
["MESSAGE_RECEIVED", "MESSAGE_STATUS"]
Se o webhook está ativo. Padrão: true.
Resposta
Webhook criado.
Show child attributes
Show child attributes
⌘I